Subject: bug#62719: 30.0.50; Eglot: `consult-imenu--normalize: Unknown imenu item: nil` caused by b1f8d98a119ab8845d25d80c480cde6e385d8749

From: Casey Banner <[email-masked]>
Date: Fri, 7 Apr 2023 18:33:40 -0400

Ok, no worries! I misspoke actually, I meant to say `consult-imenu`.

I think the new interface is good! I just thought maybe some metadata
had been unintentionally lost.

I used to say something like 'Function/Renderer dispatch` where now it
says `Renderer dispatch` (ie. a struct Renderer containing a function
dispatch). I agree that showing the type of the symbol in text was a
bit confusing.

Cheers,
Casey

On Fri, Apr 7, 2023 at 6:24 PM João Távora <[email-masked]> wrote:
>
> On Fri, Apr 7, 2023 at 11:15 PM Casey Banner <[email-masked]> wrote:
> >
> > Thanks for the quick fixes! I noticed my imenu contents somewhat
> > changed (lost the description if something is a function vs constant),
> > but this might be an issue with my consult-line config.
>
> This change is intentional.  The previous implementation was confusing
> IMO, at least for the original imenu interface M-x imenu.
> I don't use consult-line, can you show visually what has changed?  Were
> you very fond of the old layout? :-)
>
> João